curl --request GET \
--url https://api.qovery.com/variable \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"key": "<string>",
"value": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE",
"is_secret": true,
"updated_at": "2023-11-07T05:31:56Z",
"mount_path": "<string>",
"overridden_variable": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"mount_path": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE",
"value": "<string>"
},
"aliased_variable": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "DATABASE_PSQL_NAME",
"mount_path": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE",
"value": "<string>"
},
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_name": "<string>",
"service_type": "APPLICATION",
"owned_by": "<string>",
"description": "<string>",
"enable_interpolation_in_file": true
}
]
}Returns a list of variables. The result can be filtered by using the query parameters.
curl --request GET \
--url https://api.qovery.com/variable \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"key": "<string>",
"value": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE",
"is_secret": true,
"updated_at": "2023-11-07T05:31:56Z",
"mount_path": "<string>",
"overridden_variable": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"mount_path": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE",
"value": "<string>"
},
"aliased_variable": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "DATABASE_PSQL_NAME",
"mount_path": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE",
"value": "<string>"
},
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_name": "<string>",
"service_type": "APPLICATION",
"owned_by": "<string>",
"description": "<string>",
"enable_interpolation_in_file": true
}
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-update-mcp-query.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
it filters the list by returning only the variables accessible by the selected parent_id. This field shall contain the id of a project, environment or service depending on the selected scope. Example, if scope = APPLICATION and parent_id=<application_id>, the result will contain any variable accessible by the application. The result will contain also any variable declared at an higher scope.
the type of the parent_id (application, project, environment etc..).
APPLICATION, BUILT_IN, ENVIRONMENT, PROJECT, CONTAINER, JOB, HELM, TERRAFORM it filters the list by returning only the variables of type secret or not
List variables
Show child attributes
Was this page helpful?